Search Results for

Show / Hide Table of Contents

# Class MenuClosingEventArgs

An System.EventArgs which allows passing a cancelable menu closing event.

##### Inheritance

System.Object
System.EventArgs
MenuClosingEventArgs

##### Inherited Members

System.EventArgs.Empty
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class MenuClosingEventArgs : EventArgs

### Constructors

#### MenuClosingEventArgs(MenuBarItem, Boolean, Boolean)

Initializes a new instance of MenuClosingEventArgs

##### Declaration

    public MenuClosingEventArgs(MenuBarItem currentMenu, bool reopen, bool isSubMenu)

##### Parameters

Type | Name | Description
--- | --- | ---
MenuBarItem | currentMenu | The current MenuBarItem parent.
System.Boolean | reopen | Whether the current menu will be reopen.
System.Boolean | isSubMenu | Indicates whether it is a sub-menu.

### Properties

#### Cancel

Flag that allows you to cancel the opening of the menu.

##### Declaration

    public bool Cancel { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### CurrentMenu

The current MenuBarItem parent.

##### Declaration

    public MenuBarItem CurrentMenu { get; }

##### Property Value

Type | Description
--- | ---
MenuBarItem |

#### IsSubMenu

Indicates whether the current menu is a sub-menu.

##### Declaration

    public bool IsSubMenu { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### Reopen

Indicates whether the current menu will be reopen.

##### Declaration

    public bool Reopen { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |